/*
 * @Author: ysh
 * @Date: 2025-02-10 14:50:24
 * @LastEditors: 
 * @LastEditTime: 2025-03-03 09:23:16
 */
import request from '@/utils/request'

// 查询cmc借款明细列表
export function listBorrowDetail(query) {
  return request({
    url: '/oa/borrowDetail/list',
    method: 'get',
    params: query
  })
}

// 查询cmc借款明细详细
export function getBorrowDetail(borrowId) {
  return request({
    url: '/oa/borrowDetail/' + borrowId,
    method: 'get'
  })
}

// 新增cmc借款明细
export function addBorrowDetail(data) {
  return request({
    url: '/oa/borrowDetail',
    method: 'post',
    data: data
  })
}

// 修改cmc借款明细
export function updateBorrowDetail(data) {
  return request({
    url: '/oa/borrowDetail',
    method: 'put',
    data: data
  })
}

// 删除cmc借款明细
export function delBorrowDetail(borrowId) {
  return request({
    url: '/oa/borrowDetail/' + borrowId,
    method: 'delete'
  })
}

// 删除cmc借款明细根据每一项Id
export function delBorrowDetailByDetailId(borrowDetailId) {
  return request({
    url: '/oa/borrowDetail/id/' + borrowDetailId,
    method: 'delete'
  })
}